class EchoCommand extends Command
{
    EchoCommand ()
    {
        super ("echo", "\034F15\035/echo message\034C\035\n\nEcho message to the terminal.\n");
    }

    boolean execute (Terminal terminal, String [] args)
    {
        StringBuffer buffer = new StringBuffer ();
        for (int arg = 1; arg < args.length; ++ arg)
        {
            buffer.append (args [arg]);
            if (arg + 1 < args.length)
                buffer.append (' ');
        }
        terminal.addText (buffer.toString ());
        return true;
    }    
}

