import java.awt.Graphics2D;
import java.awt.Image;

class Entity extends Link
{
    String name;
    Image image;
    Terrain [] grid;

    Entity (String n, Image i)
    {
        name = n;
        image = i;
        clear ();
    }

    void draw (Graphics2D g, Map map, int x, int y, int w, int h)
    {
        g.drawImage (image, x, y, x + w, y + h, 0, 0, image.getWidth (null), image.getHeight (null), null);
    }
}
            
