import java.awt.Image;
import java.awt.Graphics;

class ImageFragment extends Fragment
{
    int width, height, offset;
    Image image;

    ImageFragment (Action a, int c, int w, int h, int o, Image i)
    {
        super (a, c);
        width = w;
        height = h;
        offset = o;
        image = i;
    }

    int width ()
    {
        return width;
    }

    void draw (Graphics g, Terminal terminal, int row)
    {
        if (offset > 0 && row > 0)
            return;

        int dx1 = column * terminal.cellWidth + terminal.BORDER,
            dy1 = row * terminal.cellHeight + terminal.BORDER,
            dx2 = dx1 + width * terminal.cellWidth,
            dy2 = dy1 + (height - offset) * terminal.cellHeight,
            sx1 = 0,
            sy1 = offset * image.getHeight (null) / height,
            sx2 = image.getWidth (null),
            sy2 = image.getHeight (null);

        g.drawImage (image, dx1, dy1, dx2, dy2, sx1, sy1, sx2, sy2, null);
    }
}

