class Link
{
    Link prevLink, nextLink;
    
    Link ()
    {
    }

    Link (Link prev, Link next)
    {
        prevLink = prev;
        nextLink = next;
    }

    void clear ()
    {
        prevLink = this;
        nextLink = this;
    }

    void remove ()
    {
        prevLink.nextLink = nextLink;
        nextLink.prevLink = prevLink;
    }

    void insertBefore (Link pos)
    {
        prevLink = pos.prevLink;
        nextLink = pos;
        prevLink.nextLink = this;
        nextLink.prevLink = this;
    }

    void insertAfter (Link pos)
    {
        insertBefore (pos.nextLink);
    }
}

