import java.awt.Graphics2D;
import java.awt.Image;

class Overlay extends Link
{
    Image image;
    int x, y, width, height; 

    Overlay (Image i, int sx, int sy, int sw, int sh)
    {
        image = i;
        x = sx;
        y = sy;
        width = sw;
        height = sh;
    }

    void draw (Graphics2D g, Map map, int dw, int dh)
    {
        int dx = x * dw,
            dy = y * dh;
        g.drawImage (image, dx, dy, dx + dw * width, dy + dh * height, 0, 0, image.getWidth (null), image.getHeight (null), null);
    }
}
            
