import java.awt.datatransfer.DataFlavor;

class PasteCommand extends Command
{
    PasteCommand ()
    {
        super ("paste", "\034F15\035/paste\034C\035\n\nPaste from the clipboard to the terminal.\n");
    }

    boolean execute (Terminal terminal, String [] args)
    {
        try
        {
            terminal.input ((String) terminal.getToolkit ().getSystemClipboard ().getContents (terminal).getTransferData (DataFlavor.stringFlavor));
        }
        catch (Exception e)
        {
        }
        return true;    
    }    
}

