class ConnectCommand extends Command
{
    ConnectCommand ()
    {
        super ("connect", "\034F15\035/connect host port\034C\035\n\nConnect to the host at the specified port.\n");
    }

    boolean execute (Terminal terminal, String [] args)
    {
        if (args.length != 3)
            return false;
        terminal.addText (terminal.connection.connect (args [1], Integer.parseInt (args [2])));
        return true;
    }    
}

