import java.awt.datatransfer.StringSelection;

class CopyCommand extends Command
{
    CopyCommand ()
    {
        super ("copy", "\034F15\035/copy\034C\035\n\nCopy the current selection to the clipboard.\n");
    }

    boolean execute (Terminal terminal, String [] args)
    {
        terminal.getToolkit ().getSystemClipboard ().setContents (new StringSelection (terminal.getSelectedText ()), terminal);
        return true;    
    }    
}

