class EchoNCommand extends Command
{
    EchoNCommand ()
    {
        super ("echon", "\034F15\035/echon message\034C\035\n\nEcho message to the terminal and advance to the next line.\n");
    }

    boolean execute (Terminal terminal, String [] args)
    {
        StringBuffer buffer = new StringBuffer ();
        for (int arg = 1; arg < args.length; ++ arg)
        {
            buffer.append (args [arg]);
            if (arg + 1 < args.length)
                buffer.append (' ');
        }
        buffer.append ('\n');
        terminal.addText (buffer.toString ());
        return true;
    }    
}

