import java.awt.Image;
import java.awt.Graphics2D;

class Terrain
{
    int index;
    Image image;
    
    Terrain (int i)
    {
        index = i;
    }

    void draw (Graphics2D g, Map map, int x, int y, int w, int h)
    {
        if (image == null)
          image = map.ui.cacheImage ("terrain" + (new Integer (index)).toString () + ".jpg");
        g.drawImage (image, x, y, x + w, y + h, 0, 0, image.getWidth (map), image.getHeight (map), map);        
    }
}

