class UnaliasCommand extends Command
{
    UnaliasCommand ()
    {
        super ("unalias", "\034F15\035/unalias name\034C\035\n\nRemoves the alias with the given name.\n");
    }

    boolean execute (Terminal terminal, String [] args)
    {
        if (args.length != 2)
            return false;
        if (! terminal.aliases.containsKey (args [1]))
            terminal.addText ("There is no alias \"\034F9\035" + args [1] + "\034C\035\".\n");
        else
        {
            terminal.aliases.remove (args [1]);
            terminal.addText ("Removed alias \"\034F15\035" + args [1] + "\034C\035\".\n");
        }
        return true;
    }    
}

